@charset "utf-8";

*,
::before,
::after {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: "Playpen Sans", serif;
}


header,
nav ul {
    background-color: #694B37;
}



.navbar-cart {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    color: white;
    border-color: transparent;
}

.carved-divider {
    position: relative;
    width: 100%;
    height: 1px;
    margin: 10px;
    padding: 0;
}


.cart {
    position: relative;
    background-color: #fff;
    color: #212529;
    font-size: 30px;
    padding: 5px;
    border-radius: 4px;
}

.cartAmount {
    position: absolute;
    top: -15px;
    right: -10px;
    font-size: 16px;
    background-color: red;
    color: white;
    padding: 3px;
    border-radius: 3px;
    margin-right: 50px;
}


.shop {
    display: grid;
    grid-template-columns: repeat(4, 223px);
    gap: 30px;
    justify-content: center;
    margin-bottom: 50px;
}

@media (max-width: 1000px) {
    .shop {
        grid-template-columns: repeat(2, 223px);
    }
}

@media (max-width: 500px) {
    .shop {
        grid-template-columns: repeat(1, 223px);
    }
}

.item {
    border: 2px solid #212529;
    border-radius: 4px;
}

.item img {
    width: 25%;
    border-radius: 2px 2px 0 0;
}

.details {
    display: flex;
    flex-direction: column;
    padding: 10px;
    gap: 10px;
}

.price-quantity {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
}

.buttons {
    display: flex;
    flex-direction: row;
    gap: 8px;
    font-size: 16px;
}

.bi-dash-lg {
    color: red;
}

.bi-plus-lg {
    color: green;
}

/**
* ! style rules for label and some buttons
**/

.text-center {
    text-align: center;
    margin-bottom: 20px;
}

.HomeBtn,
.checkout,
.removeAll {
    background-color: #212529;
    color: white;
    border: none;
    padding: 6px;
    border-radius: 3px;
    cursor: pointer;
    margin-top: 10px;
}

.checkout {
    background-color: green;
}

.removeAll {
    background-color: red;
}

.bi-x-lg {
    color: red;
    font-weight: bold;
}

/**
* ! style rules for shopping-cart
**/

.shopping-cart {
    display: grid;
    grid-template-columns: repeat(1, 320px);
    justify-content: center;
    gap: 15px;
}

/**
* ! style rules for cart-item
**/

.cart-item {
    border: 2px solid #212529;
    border-radius: 5px;
    display: flex;
}

.title-price-x {
    width: 195px;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.title-price {
    display: flex;
    align-items: center;
    gap: 10px;
}

.cart-item-price {
    background-color: #212529;
    color: white;
    border-radius: 4px;
    padding: 3px 6px;
}

.cart-container img {
    width: 17%;
    height: auto;
}


@media screen and (min-width: 1024px) {
    .navbar {
        letter-spacing: 0.1em;
    }

    .navbar .navbar-nav .nav-link {
        padding: 0.5em 1em;
    }

    .search-and-icons {
        width: 11%;
    }

    .search-and-icons form {
        flex: 1;
    }
}

@media screen and (min-width: 768px) {
    .navbar .navbar-brand img {
        max-width: 7em;
    }

    .navbar .navbar-collapse {
        display: flex;
        flex-direction: column-reverse;
        align-items: flex-end;
    }

    .search-and-icons {
        display: flex;
        align-items: center;
    }
}